guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dieter-erich <dieter.bl...@meduniwien.ac.at>
Subject Re: guacamole 0.8.3 "invalid login"
Date Tue, 02 May 2017 06:41:17 GMT
     I have checked again: turbovncserver 2.1.1 is running and I can 
definitely reach localhost via vnc on port 5901 with turbovncviewer 
v2.1.1.

However, when trying to run vnc over guacamole I find the following 
lines in syslog:

May  2 08:23:13 ubuntu guacd[3224]: Protocol "vnc" selected
May  2 08:23:13 ubuntu guacd[3224]: VNC server supports protocol version 
3.8 (viewer 3.8)
May  2 08:23:13 ubuntu guacd[3224]: We have 3 security types to read
May  2 08:23:13 ubuntu guacd[3224]: 0) Received security type 19
May  2 08:23:13 ubuntu guacd[3224]: Selecting security type 19 (0/3 in 
the list)
May  2 08:23:13 ubuntu guacd[3224]: 1) Received security type 2
May  2 08:23:13 ubuntu guacd[3224]: 2) Received security type 16
May  2 08:23:13 ubuntu guacd[3224]: Selected Security Scheme 19
May  2 08:23:13 ubuntu guacd[3224]: GnuTLS initialized.
May  2 08:23:13 ubuntu guacd[3224]: Got VeNCrypt version 2.0 from 
server.
May  2 08:23:13 ubuntu guacd[3224]: Unsupported VeNCrypt version.
May  2 08:23:13 ubuntu guacd[3224]: Error instantiating client: UNKNOWN 
STATUS CODE:

is there anything wrong with my turbovncserver? Am I missing anything?

D-E
---------------------------------------------------------------------
Am 02.05.2017 um 03:06 schrieb Mike Jumper [via Apache Guacamole 
(incubating) - Users]:

> On Sat, Apr 29, 2017 at 10:02 PM, dieter-erich
> <[hidden email]> wrote:
> 
>> Hi Mike,
>> 
>> After modifying  /etc/guacamole/user-mapping.xml IT WORKS! Thank you 
>> so
>> much for your quick and most helpful answer!
>> 
>> 1) I preferred installing from the repository because I felt it more 
>> easy
>> and I only later found the very complete description of how to install 
>> the
>> newer version from source.
>> 
>> Can I still do this? Will it overwrite the older version or do I first 
>> have
>> to uninstall the old one?
>> 
> You will need to uninstall the old one first.
> 
>> 2) I defined a user for tomcat out of despair because I believed that 
>> its
>> lacking might be a reason for my problem. Now I understand that this 
>> is not
>> necessary
>> 
> 
> Ah, OK.
> 
>> 3) I completely ignored xml synthax and believed that the example 
>> would work
>> as such and did not need to be modified.
>> 
>> 4) I still cannot login into VNC and, when hitting 'Default' it tries 
>> to
>> initalize but then I get the message: 'Error initializing VNC client'
>> despite it is running and I can connect to it via a VNC client by 
>> using the
>> same password that is specified in user-mapping.xlm ('xyz' see below). 
>> What
>> might be the reason? Does the password have to be the same for both, 
>> i.e.
>> 'tomcat'?
>> 
> No, the VNC password is independent of the user/password used for 
> Guacamole.
> 
>> <authorize username="tomcat" password="tomcat">
>> <protocol>vnc</protocol>
>> <param name="hostname">localhost</param>
>> <param name="port">5901</param>
>> <param name="password">xyz</param>
>> </authorize>
>> 
> 
> You're sure that the VNC server is reachable at localhost from the
> machine running guacd (and that 5901 is the correct port)? Remember
> the connection is established from the perspective of the Guacamole
> server, not the browser.
> 
> - Mike
> 
> -------------------------
> 
> If you reply to this email, your message will be added to the 
> discussion below: 
> http://apache-guacamole-incubating-users.2363388.n4.nabble.com/guacamole-0-8-3-invalid-login-tp883p894.html
> To unsubscribe from guacamole 0.8.3 "invalid login", click here.
> NAML




--
View this message in context: http://apache-guacamole-incubating-users.2363388.n4.nabble.com/guacamole-0-8-3-invalid-login-tp883p896.html
Sent from the Apache Guacamole (incubating) - Users mailing list archive at Nabble.com.
Mime
View raw message